<?php

namespace Daylight\Core\Modules\PageBuilder\Entities;

class Template
{
    public string $key;

    public string $label;

    public function __construct()
    {
        //
    }

    public function setKey(string $key): self
    {
        $this->key = $key;

        return $this;
    }

    public function getKey(): string
    {
        return $this->key;
    }

    public function setLabel(string $label): self
    {
        $this->label = $label;

        return $this;
    }

    public function getLabel(): string
    {
        return $this->label;
    }

    public static function create(): self
    {
        return new self;
    }
}
